--- packlib/cspack/sysreq/log.c.orig	2006-09-15 11:35:11.000000000 +0200
+++ packlib/cspack/sysreq/log.c	2008-03-01 23:02:00.000000000 +0100
@@ -29,6 +29,9 @@
 /* log.c        - generalized logging routines                          */
  
 #include <stdio.h>              /* standard input/output definitions    */
+#if defined(__FreeBSD__)
+# include <string.h>
+#endif
 #if !defined(vms)
 #include <fcntl.h>              /* file control                         */
 #else
@@ -60,12 +63,12 @@
 #define write   DECC$WRITE
 #endif /* vms && __alpha && COMPILE_NOPREFIX */
  
-#if !defined(VM) && !defined(IRIX5) && !defined(LINUX)
+#if !defined(VM) && !defined(IRIX5) && !defined(LINUX) && !defined(__FreeBSD__)
 #include <varargs.h>            /* variable argument list definitions   */
 #else
 #include <stdarg.h>             /* variable argument list definitions   */
 #include <errno.h>              /* standard error numbers & codes       */
-#endif /* VM || IRIX5 || LINUX */
+#endif /* VM || IRIX5 || LINUX || __FreeBSD__ */
 #include <log.h>                /* logging options and definitions      */
  
  
@@ -83,9 +86,9 @@
 static int pid;                 /* process identifier                   */
 static int logfd ;              /* logging file descriptor              */
 #if !defined(SOLARIS) && !defined(linux) && !defined(_AIX) \
-  && !defined(IRIX5) && !defined(apollo) && !defined(__DARWIN__)
+  && !defined(IRIX5) && !defined(apollo) && !defined(__DARWIN__) && !defined(__FreeBSD__)
 extern int syslog();
-#endif /* !SOLARIS && !IRIX5 && !apollo && !linux && !AIX */
+#endif /* !SOLARIS && !IRIX5 && !apollo && !linux && !AIX && !__FreeBSD__ */
 extern char *getenv();
 #else  /* VM */
 static char *console="CONSOLE";/* VM default console userid            */
@@ -134,7 +137,7 @@
  
  
 #if !defined(VM)
-#if !defined(IRIX5) && !defined(LINUX)
+#if !defined(IRIX5) && !defined(LINUX) && !defined(__FreeBSD__)
 void     logit();
 #else
 void     logit(int level, ...);
@@ -205,7 +208,7 @@
  * logit(LOG_LEVEL,format[,value,...]) ;
  */
 #if !defined(VM)
-#if !defined(IRIX5) && !defined(LINUX)
+#if !defined(IRIX5) && !defined(LINUX) && !defined(__FreeBSD__)
 void logit(va_alist)     va_dcl
 #else
 void logit(int level, ...)
@@ -226,7 +229,7 @@
 #if !defined(VM)
         int     fd;             /* log file descriptor                  */
 #endif
-#if !defined(VM) && !defined(IRIX5) && !defined(LINUX)
+#if !defined(VM) && !defined(IRIX5) && !defined(LINUX) && !defined(__FreeBSD__)
         int     level;          /* Level of the message                 */
  
         va_start(args);         /* initialize to beginning of list      */
@@ -234,7 +237,7 @@
 #else
  
         va_start(args, level);
-#endif /* VM || IRIX5 || Linux */
+#endif /* VM || IRIX5 || Linux || __FreeBSD__ */
         if (loglevel >= level)  {
                 format = va_arg(args, char *);
                 (void) time(&clock);
