--- packlib/cspack/sysreq/trace.c.orig	2003-09-02 14:47:16.000000000 +0200
+++ packlib/cspack/sysreq/trace.c	2008-03-01 23:14:10.000000000 +0100
@@ -23,11 +23,11 @@
 /* trace.c      General tracing facility                                */
  
 #include <stdio.h>              /* standard input/output definitions    */
-#if !defined(LINUX)
+#if !defined(LINUX) && !defined(__FreeBSD__)
 #include <varargs.h>            /* variable argument list definitions   */
 #else
 #include <stdarg.h>
-#endif  /* LINUX */
+#endif  /* LINUX || __FreeBSD__ */
 #if defined(vms)
 #include <stdlib.h>             /* General utility definitions          */
 #endif /* vms */
@@ -51,23 +51,23 @@
 #endif /* vms */
  
 /*VARARGS*/
-#if !defined(LINUX) 
+#if !defined(LINUX) && !defined(__FreeBSD__)
 void print_trace(va_alist)    va_dcl
 #else
 void print_trace(int level, ...)
-#endif  /* LINUX */
+#endif  /* LINUX || __FreeBSD__ */
 {
         va_list args;           /* arguments                            */
         register char *label;   /* leading label                        */
         register char *format;  /* print format string                  */
         register int i;         /* general purpose index                */
-#if !defined(LINUX) 
+#if !defined(LINUX) && !defined(__FreeBSD__)
         register int level;     /* trace level                          */
         va_start(args);         /* initialize to beginning of list      */
         level = va_arg(args, int);
 #else
         va_start(args, level);
-#endif  /* LINUX */
+#endif  /* LINUX || __FreeBSD__ */
         if (trace_level < level) return;
         label = va_arg(args, char *);
         for (i=0; i< level+indent_level ; i++)       {
